apiVersion: v1
kind: Service
metadata:
  name: snauw-counter
  namespace: snauw-counter
  labels:
    app.kubernetes.io/name: snauw-counter
    app.kubernetes.io/component: web
    app.kubernetes.io/part-of: snauw-counter
  annotations:
    prometheus.io/scrape: "true"
    prometheus.io/port: "5000"
    prometheus.io/path: "/metrics"
spec:
  type: ClusterIP
  ports:
  - port: 80
    targetPort: http
    protocol: TCP
    name: http
  selector:
    app.kubernetes.io/name: snauw-counter
    app.kubernetes.io/component: web
